Package twisted :: Package python :: Module failure

[show private | hide private]
[frames | no frames]

## Module twisted.python.failure

Asynchronous-friendly error mechanism.

See `Failure`.

Classes
`Failure` | A basic abstraction for an error that has occurred.

Exceptions
`DefaultException` |

Function Summary
| ``format_frames`(frames, write, detail)` Format and write frames.

Variable Summary
`int` | `count`
`int` | `traceupLength`

Function Details

### format_frames(frames, write, detail='default')

Format and write frames.

  Parameters:
    `frames` - is a list of frames as used by Failure.frames, with each frame being a list of (funcName, fileName, lineNumber, locals.items(), globals.items())
    (type=list)
    `write` - this will be called with formatted strings.
    (type=callable)
    `detail` - Three detail levels are available: default, brief, and verbose.
    (type=string)

Variable Details

### count

  Type:
    `int`
  Value:

        1

### traceupLength

  Type:
    `int`
  Value:

        4

Generated by Epydoc 1.1 on Sat Feb 15 21:19:16 2003 | http://epydoc.sf.net